#
# spec file for package kfilemetadata
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kfilemetadata
Version:        4.14.3
Release:        5.2
Summary:        Extract Metadata
License:        GPL-2.0+ and LGPL-2.1+ and LGPL-3.0
Group:          System/GUI/KDE
Source0:        %{name}-%{version}.tar.xz
#PATCH-FIX-UPSTREAM fix-cmake-policy-warnings.patch -- fixes build in Factory
Patch:          fix-cmake-policy-warnings.patch
BuildRequires:  libepub-devel
BuildRequires:  libexiv2-devel
BuildRequires:  libkde4-devel
BuildRequires:  libpoppler-qt4-devel
BuildRequires:  mobipocket-devel
BuildRequires:  taglib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library for extracting file metadata

%package devel
Summary:        Development package for kfilemetadata
Group:          System/GUI/KDE
Requires:       %{name} = %{version}
Requires:       libkde4-devel

%description devel
Development package for kfilemetadata

%prep
%setup -q
%patch -p1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %kde_post_install

%files
%defattr(-,root,root)
%doc COPYING*
%{_kde4_modulesdir}/kfilemetadata_*.so
%{_kde4_libdir}/libkfilemetadata.so.*
%{_kde4_servicesdir}/kfilemetadata_*.desktop
%{_kde4_servicetypesdir}/kfilemetadataextractor.desktop

%files devel
%defattr(-,root,root)
%{_kde4_libdir}/libkfilemetadata.so
%{_kde4_includedir}/kfilemetadata/
%{_kde4_libdir}/cmake/KFileMetaData/

%changelog
* Sat Aug 29 2015 wbauer@tmo.at
- Add fix-cmake-policy-warnings.patch from upstream to fix build in
  Factory
* Sun Nov  9 2014 tittiatcoke@gmail.com
- Update to 4.14.3
  * KDE 4.14.3 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.3.php
* Sun Oct 12 2014 tittiatcoke@gmail.com
- Update to 4.14.2
  * KDE 4.14.2 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.2.php
* Sat Sep 13 2014 tittiatcoke@gmail.com
- Update to 4.14.1
  * KDE 4.14.1 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.1.php
* Fri Aug 15 2014 tittiatcoke@gmail.com
- Update to 4.14.0
  * KDE 4.14.0 SC Final Release
  * See http://www.kde.org/announcements/4.14/
* Thu Jul 17 2014 cgiboudeaux@gmx.com
- Update to 4.13.90
  * KDE 4.14 Beta 2 release
  * See http://www.kde.org/announcements/announce-4.14-beta2.php
* Thu Jul 10 2014 cgiboudeaux@gmx.com
- Update to 4.13.80
  * KDE 4.14 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.14-beta1.php
* Sun Jun  8 2014 tittiatcoke@gmail.com
- Update to 4.13.2
  * KDE 4.13  release
  * See http://www.kde.org/announcements/announce-4.13.2.php
* Fri May  9 2014 tittiatcoke@gmail.com
- Update to 4.13.1
  * KDE 4.13.1  bug fix release
  * See http://www.kde.org/announcements/announce-4.13.1.php
  i- Drop patch optimize.patch (Upstreamed)
* Sat May  3 2014 hrvoje.senjan@gmail.com
- Added mobipocket-devel BuildRequires to add epub support
* Fri May  2 2014 hrvoje.senjan@gmail.com
- Added optimize.patch: Optimize word count in PlainTextExtractor
* Fri Apr 11 2014 tittiatcoke@gmail.com
- Update to 4.13.0
  * KDE 4.13  release
  * See http://www.kde.org/announcements/4.13/
* Thu Mar 27 2014 tittiatcoke@gmail.com
- Update to 4.12.97
  * KDE 4.13 RC  release
  * See http://www.kde.org/announcements/announce-4.13-rc.php
* Thu Mar 20 2014 tittiatcoke@gmail.com
- Update to 4.12.95
  * KDE 4.13 Beta 3  release
  * See http://www.kde.org/announcements/announce-4.13-beta3.php
* Thu Mar 13 2014 tittiatcoke@gmail.com
- Update to 4.12.90
  * KDE 4.13 Beta 2  release
  * See http://www.kde.org/announcements/announce-4.13-beta2.php
* Fri Mar  7 2014 tittiatcoke@gmail.com
- Update to 4.12.80
  * KDE 4.13 Beta 1  release
  * See http://www.kde.org/announcements/announce-4.13-beta1.php
* Thu Feb 27 2014 tittiatcoke@gmail.com
- Initial package based on a git snapshot.
  Package is a reuirement for the new nepomuk framework Baloo
